### Method

# Ide Buffer get_change_monitor

#### Declaration

    IdeBufferChangeMonitor*
    ide_buffer_get_change_monitor (
      IdeBuffer* self
    )

#### Description

Gets the `IdeBuffer:change-monitor` for the buffer.

Available since: | 3.32

Gets property | `Ide.Buffer:change-monitor`

#### Return value

Returns: | `IdeBufferChangeMonitor`
| An `IdeBufferChangeMonitor` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.